> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Template Test Materialize Progress > Shows the progress of a template test being materialized ## OpenAPI ````json GET /api/v1/Authoring/projects/{projectId}/template-tests/{testId}/materialize/{executionKey} { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/projects/{projectId}/template-tests/{testId}/materialize/{executionKey}": { "get": { "tags": [ "Authoring" ], "summary": "Get Template Test Materialize Progress", "description": "Shows the progress of a template test being materialized", "parameters": [ { "name": "projectId", "in": "path", "description": "Project containing the template test", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "executionKey", "in": "path", "description": "Key of the execution to retrieve", "required": true, "schema": { "type": "string" } }, { "name": "testId", "in": "path", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.MaterializeTemplateTestProgress" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.MaterializeTemplateTestProgress": { "title": "MaterializeTemplateTestProgress", "type": "object", "properties": { "projectId": { "type": "integer", "description": "The materialization's project ID", "format": "int32" }, "executionKey": { "type": "string", "description": "The materialization's execution key", "nullable": true }, "name": { "type": "string", "description": "The materialization's name", "nullable": true }, "currentStepDescription": { "type": "string", "description": "The materialization's current step description", "nullable": true }, "stepIndex": { "type": "integer", "description": "The materialization's step index", "format": "int32" }, "dateCompleted": { "type": "string", "description": "The materialization's date of completion", "format": "date-time", "nullable": true }, "errorMessage": { "type": "string", "description": "The materialization's error message", "nullable": true }, "warningMessage": { "type": "string", "description": "The materialization's warning message", "nullable": true }, "invalidMetaLinks": { "type": "array", "items": { "type": "string" }, "description": "List of the materialization's invalid meta links" }, "dateStarted": { "type": "string", "description": "The materialization's date started", "format": "date-time" }, "reloadNavigation": { "type": "boolean", "description": "Whether the materialization should reload navigation" }, "hasMaterializedTests": { "type": "boolean", "description": "Whether the materialization has materialized tests" }, "runBy": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.KeyValue" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.KeyValue": { "title": "KeyValue", "type": "object", "additionalProperties": false } } } } ````